CVE-2022-3872

Name
CVE-2022-3872
Description
An off-by-one read/write issue was found in the SDHCI device of QEMU. It occurs when reading/writing the Buffer Data Port Register in sdhci_read_dataport and sdhci_write_dataport, respectively, if data_count == block_size. A malicious guest could use this flaw to crash the QEMU process on the host, resulting in a denial of service condition.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://lists.nongnu.org/archive/html/qemu-devel/2022-11/msg01068.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:* qemu >= None < 7.1.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
qemu 3.16-community 7.0.0-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable